/*
 * Copyright (C) 2016  AriaLyy(https://github.com/AriaLyy/Aria)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.arialyy.aria.core.task

import java.util.concurrent.atomic.AtomicInteger

/**
 * @Author laoyuyu
 * @Description
 * @Date 10:03 PM 2023/1/24
 **/
object TaskStatePool {
  private val stateMap = hashMapOf<Int, TaskState>()
  private val taskCounter = AtomicInteger(1)

  fun putTaskState(taskId: Int, state: TaskState) {
    stateMap[taskId] = state
  }

  fun getTaskState(taskId: Int) = stateMap[taskId]

  internal fun buildTaskId() = taskCounter.addAndGet(1)
}